// MurasameDlg.h : wb_[ t@C
//

#pragma once
#include <string>
#include "afxwin.h"
#include "afxcmn.h"

enum EDIT{
	EDIT_DIV_FILE_PATH,
	EDIT_DIV_EXTRACT_OFFSET,
	EDIT_DIV_EXTRACT_SIZE,
	EDIT_DIV_RANGE_EXTRACT_BEGIN,
	EDIT_DIV_RANGE_EXTRACT_END,
	EDIT_DIV_SIZE,
	EDIT_DIV_COUNT,
	EDIT_DIV_BOUNDARY,
	EDIT_DIV_BYTE,
	EDIT_COMBINE_FILE_PATH,
	NUMBER_EDIT
};

enum BUTTON{
	BUTTON_DIV_REF,
	BUTTON_DIV_EXTRACT,
	BUTTON_DIV_RANGE_EXTRACT,
	BUTTON_DIV_SIZE,
	BUTTON_DIV_COUNT,
	BUTTON_DIV_BOUNDATY,
	BUTTON_DIV_BYTE,
	BUTTON_DIV_START,
	BUTTON_DIV_DELTE,
	BUTTON_DIV_CLEAR,
	BUTTON_COMBINE_REF,
	BUTTON_COMBINE_START,
	BUTTON_COMBINE_DELETE,
	BUTTON_COMBINE_CLEAR,
	BUTTON_STOP,
	BUTTON_EXIT,
	NUMBER_BUTTON
};

enum LIST{
	LIST_DIV,
	LIST_COMBINE_FILE_PATH,
	NUMBER_LIST
};

// CMurasameDlg _CAO
class CMurasameDlg : public CDialog
{
// RXgNV
public:
	CMurasameDlg(CWnd* pParent = NULL);	// WRXgN^

// _CAO f[^
	enum { IDD = IDD_MURASAME_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV T|[g


// 
protected:
	HICON m_hIcon;

	// ꂽAbZ[W蓖Ċ֐
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()

	afx_msg void OnBnClickedButton1();
	afx_msg void OnBnClickedButton3();
	afx_msg void OnBnClickedButton4();
	afx_msg void OnBnClickedButton7();
	afx_msg void OnBnClickedButton5();
	afx_msg void OnBnClickedButton6();
	afx_msg void OnBnClickedButton8();
	afx_msg void OnBnClickedButton9();
	afx_msg void OnBnClickedButton10();
	afx_msg void OnBnClickedButton11();
	afx_msg void OnBnClickedButton12();
	afx_msg void OnBnClickedButton13();
	afx_msg void OnBnClickedButton2();
	afx_msg void OnBnClickedButton14();
	afx_msg void OnBnClickedOk();
	afx_msg void OnBnClickedCancel();

	CEdit m_Edit[NUMBER_EDIT];
	CButton m_Button[NUMBER_BUTTON];
	CListBox m_List[NUMBER_LIST];

	CEdit& GetEdit(int index){return m_Edit[index];}
	const CEdit& GetEdit(int index)const{return m_Edit[index];}
	CButton& GetButton(int index){return m_Button[index];}
	long long EditToInt(int index)const;
	long long EditToInt(const std::string& str)const;
	const std::string CombineItem(long long a, long long b)const;
	long long GetDivFileSize()const;
	CProgressCtrl m_Progress;
	CStatic m_Static;
public:
	CListBox& GetListBox(int index){return m_List[index];}
	//CProgressCtrl& GetProgress(){return m_Progress;}
	const std::string GetEditString(int index)const;
	afx_msg void OnDropFiles(HDROP hDropInfo);
	void EnableWindow(BOOL enable);
	void SetProgress(float f);
	void SetStateText(const std::string& text);
};
