#ifndef NFILE_H
#define NFILE_H

class NFile{
public:
	enum SeekBase{
		SeekBegin = 0,
		SeekCurrent = 1,
		SeekEnd = 2
	};
	NFile(){}
	virtual ~NFile(){}
	virtual bool IsOpen()const = 0;
	virtual void Close() = 0;
	virtual int Read(void* buffer, int size) = 0;
	virtual int Write(const void* buffer, int size) = 0;
	virtual void Seek(long long size, int base) = 0;
	virtual void SetBuffer(int size) = 0;
	virtual long long GetSize() = 0;
	virtual void Flush() = 0;
};

#endif
