/*
** Disk at Once Image treating interface
**
** Writen by Sakae Tatibana <tatibana@extra.hu>
**
** 2000, 7/5 cut-out from cue.h
**
*/
#ifndef DAO_H
#define DAO_H

#include <stdio.h>
#include "fcd_basic.h"

#define DAO_TRACK_TYPE_AUDIO 0x01
#define DAO_TRACK_TYPE_MODE1 0x02
#define DAO_TRACK_TYPE_MODE2 0x04
#define DAO_TRACK_TYPE_ELSE  0x00
	
typedef struct {
	int index;
	
	char path[FILENAME_MAX];

	int type;

	size_t block_size;

	size_t offset;
	
	LBN start;
	LBN num_of_block;
}dao_track;

/*
typedef struct {
	char *path;
	
	int num_of_track;
	dao_track track[99];
}DAO_INFO;
*/
struct DAO_INFO{
	char *path;
	
	int num_of_track;
	dao_track track[99];
};

#endif