// MurasameDlg.cpp : t@C
//

#include "stdafx.h"
#include <vector>
#include <memory>
#include <algorithm>
#include <sstream>
#include <boost/format.hpp>
#include "Murasame.h"
#include "MurasameDlg.h"
#include ".\murasamedlg.h"
#include "Control.h"
#include "Utility.h"
#include "NFileStdio.h"
#include "Control.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif

using namespace std;

// CMurasameDlg _CAO



CMurasameDlg::CMurasameDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CMurasameDlg::IDD, pParent)
{
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CMurasameDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_EDIT1, m_Edit[EDIT_DIV_FILE_PATH]);
	DDX_Control(pDX, IDC_EDIT2, m_Edit[EDIT_DIV_EXTRACT_OFFSET]);
	DDX_Control(pDX, IDC_EDIT3, m_Edit[EDIT_DIV_EXTRACT_SIZE]);
	DDX_Control(pDX, IDC_EDIT4, m_Edit[EDIT_DIV_RANGE_EXTRACT_BEGIN]);
	DDX_Control(pDX, IDC_EDIT5, m_Edit[EDIT_DIV_RANGE_EXTRACT_END]);
	DDX_Control(pDX, IDC_EDIT6, m_Edit[EDIT_DIV_SIZE]);
	DDX_Control(pDX, IDC_EDIT7, m_Edit[EDIT_DIV_COUNT]);
	DDX_Control(pDX, IDC_EDIT8, m_Edit[EDIT_DIV_BOUNDARY]);
	DDX_Control(pDX, IDC_EDIT9, m_Edit[EDIT_DIV_BYTE]);
	DDX_Control(pDX, IDC_EDIT10, m_Edit[EDIT_COMBINE_FILE_PATH]);
	DDX_Control(pDX, IDC_BUTTON1, m_Button[BUTTON_DIV_REF]);
	DDX_Control(pDX, IDC_BUTTON3, m_Button[BUTTON_DIV_EXTRACT]);
	DDX_Control(pDX, IDC_BUTTON4, m_Button[BUTTON_DIV_RANGE_EXTRACT]);
	DDX_Control(pDX, IDC_BUTTON5, m_Button[BUTTON_DIV_SIZE]);
	DDX_Control(pDX, IDC_BUTTON6, m_Button[BUTTON_DIV_COUNT]);
	DDX_Control(pDX, IDC_BUTTON7, m_Button[BUTTON_DIV_BOUNDATY]);
	DDX_Control(pDX, IDC_BUTTON8, m_Button[BUTTON_DIV_BYTE]);
	DDX_Control(pDX, IDC_BUTTON9, m_Button[BUTTON_DIV_START]);
	DDX_Control(pDX, IDC_BUTTON10, m_Button[BUTTON_DIV_DELTE]);
	DDX_Control(pDX, IDC_BUTTON11, m_Button[BUTTON_DIV_CLEAR]);
	DDX_Control(pDX, IDC_BUTTON12, m_Button[BUTTON_COMBINE_REF]);
	DDX_Control(pDX, IDC_BUTTON13, m_Button[BUTTON_COMBINE_START]);
	DDX_Control(pDX, IDC_BUTTON2, m_Button[BUTTON_COMBINE_DELETE]);
	DDX_Control(pDX, IDC_BUTTON14, m_Button[BUTTON_COMBINE_CLEAR]);
	DDX_Control(pDX, IDOK, m_Button[BUTTON_STOP]);
	DDX_Control(pDX, IDCANCEL, m_Button[BUTTON_EXIT]);
	DDX_Control(pDX, IDC_LIST1, m_List[LIST_DIV]);
	DDX_Control(pDX, IDC_LIST2, m_List[LIST_COMBINE_FILE_PATH]);
	DDX_Control(pDX, IDC_STATIC_STATE, m_Static);
	DDX_Control(pDX, IDC_PROGRESS1, m_Progress);
}

BEGIN_MESSAGE_MAP(CMurasameDlg, CDialog)
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	//}}AFX_MSG_MAP
	ON_BN_CLICKED(IDC_BUTTON1, OnBnClickedButton1)
	ON_BN_CLICKED(IDC_BUTTON3, OnBnClickedButton3)
	ON_BN_CLICKED(IDC_BUTTON4, OnBnClickedButton4)
	ON_BN_CLICKED(IDC_BUTTON7, OnBnClickedButton7)
	ON_BN_CLICKED(IDC_BUTTON5, OnBnClickedButton5)
	ON_BN_CLICKED(IDC_BUTTON6, OnBnClickedButton6)
	ON_BN_CLICKED(IDC_BUTTON8, OnBnClickedButton8)
	ON_BN_CLICKED(IDC_BUTTON9, OnBnClickedButton9)
	ON_BN_CLICKED(IDC_BUTTON10, OnBnClickedButton10)
	ON_BN_CLICKED(IDC_BUTTON11, OnBnClickedButton11)
	ON_BN_CLICKED(IDC_BUTTON12, OnBnClickedButton12)
	ON_BN_CLICKED(IDC_BUTTON13, OnBnClickedButton13)
	ON_BN_CLICKED(IDC_BUTTON2, OnBnClickedButton2)
	ON_BN_CLICKED(IDC_BUTTON14, OnBnClickedButton14)
	ON_BN_CLICKED(IDOK, OnBnClickedOk)
	ON_BN_CLICKED(IDCANCEL, OnBnClickedCancel)
	ON_WM_DROPFILES()
END_MESSAGE_MAP()


// CMurasameDlg bZ[W nh

const int iProgressMax = 65536;

BOOL CMurasameDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// ̃_CAÕACRݒ肵܂BAvP[ṼC EBhE_CAOłȂꍇA
	//  Framework ́A̐ݒIɍs܂B
	SetIcon(m_hIcon, TRUE);			// 傫ACR̐ݒ
	SetIcon(m_hIcon, FALSE);		// ACR̐ݒ

	// TODO: ɒǉ܂B
	Utility::Initialize();
	Control::SetDialog(*this);
	m_Progress.SetRange32(0, iProgressMax);
	m_Progress.SetPos(0);
	
	return TRUE;  // tH[JXRg[ɐݒ肵ꍇATRUE Ԃ܂B
}

// _CAOɍŏ{^ǉꍇAACR`悷邽߂
//  ̃R[hKvłBhLg/r[ fg MFC AvP[V̏ꍇA
//  ́AFramework ɂĎIɐݒ肳܂B

void CMurasameDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // `̃foCX ReLXg

		SendMessage(WM_ICONERASEBKGND, reinterpret_cast<WPARAM>(dc.GetSafeHdc()), 0);

		// NCAg̎lp`̈̒
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// ACR̕`
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

//[U[ŏEBhEhbOĂƂɕ\J[\擾邽߂ɁA
//  VXe̊֐Ăяo܂B
HCURSOR CMurasameDlg::OnQueryDragIcon()
{
	return static_cast<HCURSOR>(m_hIcon);
}

void CMurasameDlg::OnBnClickedButton1()
{
	//t@CQ
	CFileDialog dlg(TRUE);
	if (dlg.DoModal() == IDOK){
		GetEdit(EDIT_DIV_FILE_PATH).SetWindowText((LPCTSTR)dlg.GetPathName());
		GetListBox(LIST_DIV).ResetContent();
	}
}

void CMurasameDlg::OnBnClickedButton3()
{
	//o
	long long file_size = GetDivFileSize();
	if (file_size < 0){
		return;
	}
	long long offset = EditToInt(EDIT_DIV_EXTRACT_OFFSET);
	long long size = EditToInt(EDIT_DIV_EXTRACT_SIZE);
	if (offset < 0 || size < 0 || offset > file_size || offset + size > file_size){
		return;
	}
	GetListBox(LIST_DIV).AddString(CombineItem(offset, offset + size).c_str());
}

void CMurasameDlg::OnBnClickedButton4()
{
	//͈͔o
	long long file_size = GetDivFileSize();
	if (file_size < 0){
		return ;
	}
	long long begin = EditToInt(EDIT_DIV_RANGE_EXTRACT_BEGIN);
	long long end = EditToInt(EDIT_DIV_RANGE_EXTRACT_END);
	if (begin < 0 || end < 0 || begin > file_size || end > file_size || begin > end){
		return;
	}
	GetListBox(LIST_DIV).InsertString(-1, CombineItem(begin, end).c_str());
	GetEdit(EDIT_DIV_RANGE_EXTRACT_BEGIN).SetWindowText(GetEditString(EDIT_DIV_RANGE_EXTRACT_END).c_str());
	GetEdit(EDIT_DIV_RANGE_EXTRACT_END).SetWindowText("");
}

void CMurasameDlg::OnBnClickedButton7()
{
	//Eo
	long long file_size = GetDivFileSize();
	if (file_size < 0){
		return;
	}
	int line_count = GetEdit(EDIT_DIV_BOUNDARY).GetLineCount();
	vector<long long> vec;
	vec.reserve(line_count);
	istringstream iss(GetEditString(EDIT_DIV_BOUNDARY));
	string buffer;
	while (iss >> buffer){
		vec.push_back(EditToInt(buffer));
	}
	if (vec.back() < 0){
		return;
	}
	vec.push_back(0);
	vec.push_back(file_size);
	sort(vec.begin(), vec.end());
	vec.erase(unique(vec.begin(), vec.end()), vec.end());
	if (vec.front() == -1 || vec.back() > file_size){
		return;
	}
	for (int i = 0; i < (int)vec.size() - 1; ++i){
		GetListBox(LIST_DIV).InsertString(-1, CombineItem(vec[i], vec[i + 1]).c_str());
	}
}

void CMurasameDlg::OnBnClickedButton5()
{
	//wTCY
	long long file_size = GetDivFileSize();
	long long div_size = EditToInt(EDIT_DIV_SIZE);
	if (div_size < 0 || file_size < -1){
		return;
	}
	long long now = 0;
	while (now != file_size){
		long long next = /*std::*/min(now + div_size, file_size);
		GetListBox(LIST_DIV).InsertString(-1, CombineItem(now, next).c_str());
		now = next;
	}
}


void CMurasameDlg::OnBnClickedButton6()
{
	//
	long long file_size = GetDivFileSize();
	int div_count = (int)EditToInt(EDIT_DIV_COUNT);
	if (file_size < 0 || div_count < 0){
		return;
	}
	long long div_size = file_size / div_count;
	if (file_size % div_count != 0){
		++div_size;
	}
	for (int i = 0; i < div_count; ++i){
		GetListBox(LIST_DIV).InsertString(-1, CombineItem(div_size * i, std::min<long long>(div_size * (i + 1), file_size)).c_str());
	}
}

void CMurasameDlg::OnBnClickedButton8()
{
	//oCg񕪊
	long long file_size = GetDivFileSize();
	vector<char> bytes = Utility::ConvertByteString(GetEditString(EDIT_DIV_BYTE));
	if (file_size < 0 || bytes.empty()){
		return;
	}
	const iBufferSize = 16 * 1024 * 1024;
	const iWrapSize = 4096;

	long long file_offset = 0;
	auto_ptr<char> buffer(new char[iBufferSize + iWrapSize]);
	ZeroMemory(buffer.get(), iBufferSize + iWrapSize);
	vector<long long> vec;
	NFileStdio file(GetEditString(EDIT_DIV_FILE_PATH), "rbS");
	while (file_offset != file_size){
		file.Seek(file_offset, NFile::SeekBegin);
		int read_size = file.Read(buffer.get(), iBufferSize + iWrapSize);
		char* ptr = buffer.get();
		while ((ptr = search(ptr, buffer.get() + read_size, bytes.begin(), bytes.end())) != buffer.get() + read_size){
			vec.push_back(file_offset + (long long)distance(buffer.get(), ptr));
			++ptr;
		}
		file_offset += read_size;
		if (file_offset == file_size){
			break;
		}
		file_offset -= iWrapSize;
	}
	vec.push_back(0);
	vec.push_back(file_size);
	sort(vec.begin(), vec.end());
	vec.erase(unique(vec.begin(), vec.end()), vec.end());
	for (int i = 0; i < (int)vec.size() - 1; ++i){
		GetListBox(LIST_DIV).InsertString(-1, CombineItem(vec[i], vec[i + 1]).c_str());
	}
}

void CMurasameDlg::OnBnClickedButton9()
{
	//Jn
#ifdef USE_THREAD
	AfxBeginThread(Control::StartDivide, NULL);
#else
	Control::StartDivide(NULL);
#endif
}

void CMurasameDlg::OnBnClickedButton10()
{
	//폜
	CListBox& list_box = GetListBox(LIST_DIV);
	int index = list_box.GetCurSel();
	if (index == LB_ERR){
		return;
	}
	list_box.DeleteString(index);
}

void CMurasameDlg::OnBnClickedButton11()
{
	//NA
	GetListBox(LIST_DIV).ResetContent();
}

void CMurasameDlg::OnBnClickedButton12()
{
	//Q
	CFileDialog dlg(FALSE);
	if (dlg.DoModal() == IDOK){
		GetEdit(EDIT_COMBINE_FILE_PATH).SetWindowText((LPCTSTR)dlg.GetPathName());
	}
}

void CMurasameDlg::OnBnClickedButton13()
{
	//Jn
#ifdef USE_THREAD
	AfxBeginThread(Control::StartCombine, NULL);
#else
	Control::StartCombine(NULL);
#endif
}

void CMurasameDlg::OnBnClickedButton2()
{
	//폜
	CListBox& list_box = GetListBox(LIST_COMBINE_FILE_PATH);
	int index = list_box.GetCurSel();
	if (index == LB_ERR){
		return;
	}
	list_box.DeleteString(index);
}

void CMurasameDlg::OnBnClickedButton14()
{
	//NA
	GetListBox(LIST_COMBINE_FILE_PATH).ResetContent();
}

void CMurasameDlg::OnBnClickedOk()
{
	//~
	//OnOK();
	GetButton(BUTTON_STOP).EnableWindow(FALSE);
	Control::Stop();
}

void CMurasameDlg::OnBnClickedCancel()
{
	//I
	OnCancel();
}

void CMurasameDlg::OnDropFiles(HDROP hDropInfo)
{
	// TODO : ɃbZ[W nh R[hǉ邩ȀĂяo܂B
	UINT uiCount = DragQueryFile(hDropInfo, 0xFFFFFFFF, NULL, 0);
	CRect rect_div, rect_com;
	GetEdit(EDIT_DIV_FILE_PATH).GetWindowRect(&rect_div);
	GetListBox(LIST_COMBINE_FILE_PATH).GetWindowRect(&rect_com);

	CPoint point;
	DragQueryPoint(hDropInfo, &point);
	this->ClientToScreen(&point);
	for(UINT i = 0; i < uiCount; i++){
		//t@C̒擾
		UINT uiLen = DragQueryFile(hDropInfo, i, NULL, 0);

		//t@C擾
		CString buffer;
		DragQueryFile(hDropInfo, i, buffer.GetBuffer(uiLen+1), uiLen+1);
		buffer.ReleaseBuffer();
		string file_path = buffer;

		if (!Utility::IsFile(file_path)){
			continue;
		}

		if (rect_div.PtInRect(point)){
			GetListBox(LIST_DIV).ResetContent();
			GetEdit(EDIT_DIV_FILE_PATH).SetWindowText(file_path.c_str());
		} else if (rect_com.PtInRect(point)){
			GetListBox(LIST_COMBINE_FILE_PATH).InsertString(-1, file_path.c_str());
		}

	}
	CDialog::OnDropFiles(hDropInfo);
}

const std::string CMurasameDlg::GetEditString(int index)const
{
	CString buffer;
	GetEdit(index).GetWindowText(buffer);
	return (LPCTSTR)buffer;
}

int iButtonXor[NUMBER_BUTTON] = {0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0};
int iEditAnd[NUMBER_EDIT] = {0, 1, 1, 1, 1, 1, 1, 1, 1, 1};

void CMurasameDlg::EnableWindow(BOOL enable)
{
	for (int i = 0; i < NUMBER_BUTTON; ++i){
		GetButton(i).EnableWindow(enable ^ iButtonXor[i]);
	}
	for (int i = 0; i < NUMBER_EDIT; ++i){
		GetEdit(i).EnableWindow(enable & iEditAnd[i]);
	}
	for (int i = 0; i < NUMBER_LIST; ++i){
		GetListBox(i).EnableWindow(enable);
	}
}

long long CMurasameDlg::EditToInt(int index)const
{
	return EditToInt(GetEditString(index));
}

long long CMurasameDlg::EditToInt(const std::string& str)const
{
	if (str.find("0x") == 0){
		return Utility::HexToInt(str.substr(2));
	}
	return Utility::ToInt(str);
}

const std::string CMurasameDlg::CombineItem(long long a, long long b)const
{
	return (boost::format("%1% %2%") % a % b).str();
}

long long CMurasameDlg::GetDivFileSize()const
{
	const string file_path = GetEditString(EDIT_DIV_FILE_PATH);
	return Utility::GetFileSize(file_path);
}

void CMurasameDlg::SetProgress(float f)
{
	f = max(0.0f, min(1.0f, f));
	m_Progress.SetPos((int)((float)iProgressMax * f));
}

void CMurasameDlg::SetStateText(const std::string& text)
{
	m_Static.SetWindowText(text.c_str());
}
