#ifndef C_LIST_CTRL_EX_H
#define C_LIST_CTRL_EX_H

#include <string>
#include <vector>
#include "afxcmn.h"

class CListCtrlEx : public CListCtrl
{
private:
	static CListCtrlEx* m_pThis;
	std::vector<std::string> m_vecHeader;
	std::vector<int> m_vecSortDirection;

	int GetSortDirection(int index);
public:
	static int CALLBACK CompareFunc(LPARAM lParam1, LPARAM lParam2, LPARAM lParamSort);
	virtual ~CListCtrlEx(){}
	void SetHeader(const std::vector<std::string>& header);
	int InsertItem(const std::vector<std::string>& item);
	const std::vector<std::string> GetItem(int index);
	bool SortItem(int column);
	bool SortItem(int column, int direction);
	long long GetItemInt(int row, int column);
};

#endif
