#include "stdafx.h"
#include "NFileMFC.h"

using namespace std;

NFileMFC::NFileMFC(const std::string& file_path, int flag)
{
	m_pFile = auto_ptr<CFile>(new CFile);
	m_bIsOpen = (m_pFile->Open(file_path.c_str(), flag) != 0);
}

NFileMFC::~NFileMFC()
{
}

bool NFileMFC::IsOpen()const
{
	return m_bIsOpen;
}

void NFileMFC::Close()
{
	if (m_bIsOpen){
		m_bIsOpen = false;
		auto_ptr<CFile> file = m_pFile;
	}
}

int NFileMFC::Read(void* buffer, int size)
{
	return m_pFile->Read(buffer, (UINT)size);
}

int NFileMFC::Write(const void* buffer, int size)
{
	m_pFile->Write(buffer, (UINT)size);
	return size;
}

const int iFlag[] = {CFile::begin, CFile::current, CFile::end};

void NFileMFC::Seek(long long size, int base)
{
	m_pFile->Seek(size, iFlag[base]);
}

void NFileMFC::SetBuffer(int size)
{
}

long long NFileMFC::GetSize()
{
	return (long long)m_pFile->GetLength();
}

void NFileMFC::Flush()
{
	m_pFile->Flush();
}
